{
  "schema_version": "1.4.0",
  "id": "GHSA-xc32-5f4v-7g6x",
  "modified": "2025-04-12T12:55:44Z",
  "published": "2022-05-14T02:47:08Z",
  "aliases": [
    "CVE-2015-8396"
  ],
  "details": "Integer overflow in the ImageRegionReader::ReadIntoBuffer function in MediaStorageAndFileFormat/gdcmImageRegionReader.cxx in Grassroots DICOM (aka GDCM) before 2.6.2 allows attackers to execute arbitrary code via crafted header dimensions in a DICOM image file, which triggers a buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:C/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2015-8396"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/39229"
    },
    {
      "type": "WEB",
      "url": "http://census-labs.com/news/2016/01/11/gdcm-buffer-overflow-imageregionreaderreadintobuffer"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/135205/GDCM-2.6.0-2.6.1-Integer-Overflow.html"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2016/Jan/29"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/p/gdcm/gdcm/ci/e547b1ded3fd21e0b0ad149f13045aa12d4b9b7c"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/p/gdcm/mailman/message/34670701"
    },
    {
      "type": "WEB",
      "url": "http://sourceforge.net/p/gdcm/mailman/message/34687533"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/537264/100/0/threaded"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-01-12T20:59:00Z"
  }
}